Upload Ssh Key
curl --request POST \
--url https://api.primeintellect.ai/api/v1/ssh_keys/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"publicKey": "<string>"
}
'import requests
url = "https://api.primeintellect.ai/api/v1/ssh_keys/"
payload = {
"name": "<string>",
"publicKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', publicKey: '<string>'})
};
fetch('https://api.primeintellect.ai/api/v1/ssh_keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"name": "<string>",
"publicKey": "<string>",
"isPrimary": true,
"isUserKey": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}SSH Keys
Upload Ssh Key
POST
/
api
/
v1
/
ssh_keys
/
Upload Ssh Key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Unique identifier for the SSH key.
ID of the user associated with this pod, if applicable.
Name of the SSH key.
The public key part of the SSH key.
Whether this SSH key is the primary key.
Whether this a custom key uploaded by the user.
Timestamp when the SSH key was added.
Timestamp when the SSH key was last updated.
Was this page helpful?
⌘I